MyGUI: MyGUI::MemberObsolete< ComboBox > Class Template Reference

MyGUI 3.2.2

Public Member Functions
MyGUI::MemberObsolete< ComboBox > Class Template Reference

`#include <MyGUI_BackwardCompatibility.h>`

Inheritance diagram for MyGUI::MemberObsolete< ComboBox >:
[legend]

## Public Member Functions
size_t | getItemIndexSelected ()
void | setItemSelectedAt (size_t _index)
void | clearItemSelected ()
void | insertItem (size_t _index, const UString &_name)
void | setItem (size_t _index, const UString &_item)
const UString & | getItem (size_t _index)
void | deleteItem (size_t _index)
void | deleteAllItems ()
size_t | getItemSelect ()
void | resetItemSelect ()
void | setItemSelect (size_t _index)
void | setMaxListHeight (int _value)
int | getMaxListHeight ()

## Detailed Description

### template<>
class MyGUI::MemberObsolete< ComboBox >

Definition at line 58 of file MyGUI_BackwardCompatibility.h.

## Member Function Documentation

## ◆ clearItemSelected()

void MyGUI::MemberObsolete< ComboBox >::clearItemSelected | ( |  | ) |

Deprecated:
  " is deprecated, use : void ComboBox::clearIndexSelected()"

Definition at line 94 of file MyGUI_BackwardCompatibility.cpp.

## ◆ deleteAllItems()

void MyGUI::MemberObsolete< ComboBox >::deleteAllItems | ( |  | ) |

Deprecated:
  " is deprecated, use : void ComboBox::removeAllItems()"

Definition at line 115 of file MyGUI_BackwardCompatibility.cpp.

## ◆ deleteItem()

void MyGUI::MemberObsolete< ComboBox >::deleteItem | ( | size_t | _index | ) |

Deprecated:
  " is deprecated, use : void ComboBox::removeItemAt(size_t _index)"

Definition at line 111 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getItem()

const UString & MyGUI::MemberObsolete< ComboBox >::getItem | ( | size_t | _index | ) |

Deprecated:
  " is deprecated, use : const UString& ComboBox::getItemNameAt(size_t _index)"

Definition at line 107 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getItemIndexSelected()

size_t MyGUI::MemberObsolete< ComboBox >::getItemIndexSelected | ( |  | ) |

Deprecated:
  " is deprecated, use : size_t ComboBox::getIndexSelected()"

Definition at line 86 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getItemSelect()

size_t MyGUI::MemberObsolete< ComboBox >::getItemSelect | ( |  | ) |

Deprecated:
  " is deprecated, use : size_t ComboBox::getIndexSelected()"

Definition at line 119 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getMaxListHeight()

int MyGUI::MemberObsolete< ComboBox >::getMaxListHeight | ( |  | ) |

Deprecated:
  " is deprecated, use : int ComboBox::getMaxListLength()"

Definition at line 136 of file MyGUI_BackwardCompatibility.cpp.

## ◆ insertItem()

void MyGUI::MemberObsolete< ComboBox >::insertItem | ( | size_t | _index,
|  | const UString & | _name
| ) |  |

Deprecated:
  " is deprecated, use : void ComboBox::insertItemAt(size_t _index, const UString& _name)"

Definition at line 99 of file MyGUI_BackwardCompatibility.cpp.

## ◆ resetItemSelect()

void MyGUI::MemberObsolete< ComboBox >::resetItemSelect | ( |  | ) |

Deprecated:
  " is deprecated, use : void void ComboBox::clearIndexSelected()"

Definition at line 123 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setItem()

void MyGUI::MemberObsolete< ComboBox >::setItem | ( | size_t | _index,
|  | const UString & | _item
| ) |  |

Deprecated:
  " is deprecated, use : void ComboBox::setItemNameAt(size_t _index, const UString& _name)"

Definition at line 103 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setItemSelect()

void MyGUI::MemberObsolete< ComboBox >::setItemSelect | ( | size_t | _index | ) |

Deprecated:
  " is deprecated, use : void ComboBox::setIndexSelected(size_t _index)"

Definition at line 127 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setItemSelectedAt()

void MyGUI::MemberObsolete< ComboBox >::setItemSelectedAt | ( | size_t | _index | ) |

Deprecated:
  " is deprecated, use : void ComboBox::setIndexSelected(size_t _index)"

Definition at line 90 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setMaxListHeight()

void MyGUI::MemberObsolete< ComboBox >::setMaxListHeight | ( | int | _value | ) |

Deprecated:
  " is deprecated, use : void ComboBox::setMaxListLength(int _value)"

Definition at line 132 of file MyGUI_BackwardCompatibility.cpp.

The documentation for this class was generated from the following files:

- MyGUI_BackwardCompatibility.h
- MyGUI_BackwardCompatibility.cpp